### Constructor

# JavaScriptCore Value new_array

#### Declaration [src]

    JSCValue*
    jsc_value_new_array (
      JSCContext* context,
      GType first_item_type,
      ...
    )

#### Description [src]

Create a new `JSCValue` referencing an array with the given items. If `first_item_type` is `G_TYPE_NONE` an empty array is created.

This method is not directly available to language bindings.

#### Parameters

`context`

  Type: `JSCContext`

  A `JSCContext`.

  The data is owned by the caller of the function.

`first_item_type`

  Type: `GType`

  `GType` of first item, or `G_TYPE_NONE`.

`...`

  Type: ``

  Value of the first item, followed optionally by more type/value pairs, followed by `G_TYPE_NONE`.

#### Return value

Type: `JSCValue`

A `JSCValue`.

The caller of the function takes ownership of the data, and is responsible for freeing it.